commit 26b125102e1e74cd952f7c1b70a19547bd63bbf4
Author: freddy77 <freddy77>
Date:   Thu Nov 6 14:39:57 2008 +0000

    make it compile under VC6

diff --git a/ChangeLog b/ChangeLog
index 2bb740b..7d9fc52 100644
--- a/ChangeLog
+++ b/ChangeLog
@@ -1,3 +1,6 @@
+Thu Nov 06 15:39:50 CET 2008    Frediano Ziglio <freddy77_A_gmail_D_com>
+	* src/tds/challenge.c: make it compile under VC6
+
 Wed Nov 05 20:21:29 CET 2008    Frediano Ziglio <freddy77_A_gmail_D_com>
 	* src/odbc/odbc.c src/odbc/unittests/freeclose.c:
 	- reduce one round-trip with server
@@ -899,4 +902,4 @@ Wed Jan  9 19:54:43 EST 2008	JK Lowden <jklowden@freetds.org>
 	* ChangeLog  truncated because of release
 	* ChangeLog-0.82 added because of release
 	
-$Id: ChangeLog,v 1.2652 2008/11/05 19:23:32 freddy77 Exp $
+$Id: ChangeLog,v 1.2653 2008/11/06 14:39:57 freddy77 Exp $
diff --git a/src/tds/challenge.c b/src/tds/challenge.c
index f9be822..2504f96 100644
--- a/src/tds/challenge.c
+++ b/src/tds/challenge.c
@@ -45,7 +45,7 @@
 #include <dmalloc.h>
 #endif
 
-TDS_RCSID(var, "$Id: challenge.c,v 1.35 2008/08/18 13:31:27 freddy77 Exp $");
+TDS_RCSID(var, "$Id: challenge.c,v 1.36 2008/11/06 14:39:57 freddy77 Exp $");
 
 /**
  * \ingroup libtds
@@ -554,12 +554,12 @@ static const unsigned char ntlm_id[] = "NTLMSSP";
 static void
 unix_to_nt_time(TDS_UINT8 * nt, time_t t)
 {
-#define TIME_FIXUP_CONSTANT 11644473600LLU
+#define TIME_FIXUP_CONSTANT (((TDS_UINT8) 134774U) * 86400U)
 
 	TDS_UINT8 t2;
 
 	if (t == (time_t) - 1) {
-		*nt = (TDS_UINT8) - 1LL;
+		*nt = (TDS_UINT8) - ((TDS_INT8) 1);
 		return;
 	}
 	if (t == 0) {

